This is a read-only archive of the Mumble forums.

This website archives and makes accessible historical state. It receives no updates or corrections. It is provided only to keep the information accessible as-is, under their old address.

For up-to-date information please refer to the Mumble website and its linked documentation and other resources. For support please refer to one of our other community/support channels.

Jump to content

Murmur sometimes not opening ports on boot


hansonry
 Share

Recommended Posts

So I am running Linux Mint Cinnamon 64 bit. I downloaded 1.2.3 and built murmur.

I created a user and put murmur into init.d


I did "murmur start" and everything worked fine. I set it to run on boot


Then after I reboot murmur runs but does not open up the port. But sometimes it works just fine...


Log Not Working:

<W>2013-01-03 22:05:05.368 Initializing settings from /etc/mumble-server/murmur.ini (basepath /etc/mumble-server)
<W>2013-01-03 22:05:05.386 OpenSSL: OpenSSL 1.0.1c 10 May 2012
<W>2013-01-03 22:05:05.405 SSL: Adding recommended CA StartCom Certification Authority
<W>2013-01-03 22:05:05.405 SSL: Adding recommended CA AAA Certificate Services
<W>2013-01-03 22:05:05.405 SSL: Adding recommended CA UTN-USERFirst-Client Authentication and Email
<W>2013-01-03 22:05:05.475 ServerDB: Openend SQLite database /etc/mumble-server/murmur.sqlite
<W>2013-01-03 22:05:06.316 Murmur 1.2.3 (1.2.3) running on X11: Linux Mint 14 Nadia: Booting servers
<W>2013-01-03 22:05:06.468 1 => Announcing server via bonjour
<W>2013-01-03 22:05:06.594 1 => Registration needs nonempty 'registername', 'registerpassword' and 'registerurl', must have an empty 'password' and allowed pings.

 

Log Working:

<W>2013-01-03 22:25:32.478 Initializing settings from /etc/mumble-server/murmur.ini (basepath /etc/mumble-server)
<W>2013-01-03 22:25:32.530 OpenSSL: OpenSSL 1.0.1c 10 May 2012
<W>2013-01-03 22:25:32.530 SSL: Adding recommended CA StartCom Certification Authority
<W>2013-01-03 22:25:32.531 SSL: Adding recommended CA AAA Certificate Services
<W>2013-01-03 22:25:32.531 SSL: Adding recommended CA UTN-USERFirst-Client Authentication and Email
<W>2013-01-03 22:25:32.600 ServerDB: Openend SQLite database /etc/mumble-server/murmur.sqlite
<W>2013-01-03 22:25:33.250 Murmur 1.2.3 (1.2.3) running on X11: Linux Mint 14 Nadia: Booting servers
<W>2013-01-03 22:25:33.419 1 => Server listening on [::]:64738
<W>2013-01-03 22:25:33.578 1 => Announcing server via bonjour
<W>2013-01-03 22:25:33.704 1 => Registration needs nonempty 'registername', 'registerpassword' and 'registerurl', must have an empty 'password' and allowed pings.
<W>2013-01-03 22:25:57.046 1 => <1:(-1)> New connection: 192.168.1.114:43635
<W>2013-01-03 22:25:57.247 1 => <1:(-1)> Client version 1.2.4 (X11: 1.2.3-349-g315b5f5-2ubuntu2)
<W>2013-01-03 22:25:57.398 1 => Starting voice thread
<W>2013-01-03 22:25:57.566 1 => CELT codec switch ffffffff8000000b 0 (prefer ffffffff8000000b)
<W>2013-01-03 22:25:57.717 1 => <1:Xello(-1)> Authenticated
<W>2013-01-03 23:03:46.988 1 => <1:Xello(1)> Connection closed: The remote host closed the connection [1]
<W>2013-01-03 23:03:47.140 1 => Ending voice thread
<W>2013-01-03 23:04:05.625 1 => <2:(-1)> New connection: 192.168.1.114:44343
<W>2013-01-03 23:04:05.826 1 => <2:(-1)> Client version 1.2.4 (X11: 1.2.3-349-g315b5f5-2ubuntu2)
<W>2013-01-03 23:04:06.086 1 => Starting voice thread
<W>2013-01-03 23:04:06.337 1 => <2:Xello(1)> Authenticated
<W>2013-01-03 23:04:13.622 1 => <2:Xello(1)> Connection closed: The remote host closed the connection [1]
<W>2013-01-03 23:04:13.764 1 => Ending voice thread

 

As you can see we are not 2013-01-03 22:25:33.419 1 => Server listening on [::]:64738 some times??

Anyone have an idea as to why this happens and how I can fix it?

Link to comment
Share on other sites

  • Administrators

I’d expect an error if the port was already bound/taken or sth.

If the virtual server would not be started, I’d expect the other “1 =>” log lines to miss as well.


Maybe the rc level (startup) is not adequate? (networking driver not initialized before-hand, resulting in a semi-random order)

How did you set it up to launch on startup?

Link to comment
Share on other sites

I put murmur

#! /bin/sh
#
### BEGIN INIT INFO
# Provides:             mumble-server
# Required-Start:       $network $local_fs $remote_fs
# Required-Stop:	$network $local_fs $remote_fs
# Should-Start:		$mysql
# Should-Stop:		$mysql
# Default-Start:        2 3 4 5
# Default-Stop:         0 1 6
# Short-Description:    Mumble VoIP Server
### END INIT INFO

PATH=/sbin:/bin:/usr/sbin:/usr/bin
NAME=mumble-server
DESC="Mumble VoIP Server"
PIDDIR=/var/run/$NAME
PIDFILE=$PIDDIR/$NAME.pid
DAEMON=/etc/mumble-server/murmurd
USER=mumble-server
GROUP=mumble-server

test -x $DAEMON || exit 0

INIFILE=/etc/mumble-server/murmur.ini
DAEMON_OPTS="-ini $INIFILE"
MURMUR_DAEMON_START=1
MURMUR_USE_CAPABILITIES=0
MURMUR_LIMIT_NOFILE=0

# Include murmur defaults if available
if [ -f /etc/default/$NAME ] ; then
. /etc/default/$NAME
fi

. /lib/init/vars.sh
. /lib/lsb/init-functions

if [ "$MURMUR_LIMIT_NOFILE" -gt 0 ] ; then
ulimit -n $MURMUR_LIMIT_NOFILE
fi

case "$1" in
 start)
 	if [ "$MURMUR_DAEMON_START" != "1" ] ; then
 		log_warning_msg "Not starting $DESC $NAME, disabled via /etc/default/$NAME"
 		exit 0
 	fi
 	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC" "$NAME"
[ -d $PIDDIR ] || install -o $USER -d $PIDDIR
if [ "$MURMUR_USE_CAPABILITIES" != "1" ] ; then
  start-stop-daemon --start --quiet \
	--pidfile $PIDFILE \
	--chuid $USER:$GROUP \
	--exec $DAEMON \
	-- $DAEMON_OPTS
else
  start-stop-daemon --start --quiet \
	--pidfile $PIDFILE \
	--exec $DAEMON \
	-- $DAEMON_OPTS
fi
case "$?" in
	0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
	2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
 stop)
 	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
start-stop-daemon --stop --quiet \
	--retry=TERM/30/KILL/5 \
	--pidfile $PIDFILE \
	--user $USER \
	--exec $DAEMON
case "$?" in
	0|1)	rm -f $PIDFILE
		[ "$VERBOSE" != no ] && log_end_msg 0
		;;
	2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
esac
;;
 force-reload)
start-stop-daemon --stop --test --quiet \
	--pidfile $PIDFILE \
	--user $USER \
	--exec $DAEMON \
&& $0 restart || exit 0
;;
 restart)
	[ "$VERBOSE" != no ] && log_daemon_msg "Restarting $DESC" "$NAME"
start-stop-daemon --stop --quiet \
	--retry=TERM/30/KILL/5 \
	--pidfile $PIDFILE \
	--user $USER \
	--exec $DAEMON
case "$?" in
	0|1)
	  	[ -d $PIDDIR ] || install -o $USER -d $PIDDIR
		rm -f $PIDFILE
		if [ "$MURMUR_USE_CAPABILITIES" != "1" ] ; then
		  start-stop-daemon --start --quiet \
			--pidfile $PIDFILE \
			--chuid $USER:$GROUP \
			--exec $DAEMON \
			-- $DAEMON_OPTS
		else
		  start-stop-daemon --start --quiet \
			--pidfile $PIDFILE \
			--exec $DAEMON \
			-- $DAEMON_OPTS
		fi
		case "$?" in
			0) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
			*) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
		esac
		;;
	*)
		[ "$VERBOSE" != no ] && log_end_msg 0
		;;
esac
;;
 *)
N=/etc/init.d/$NAME
echo "Usage: $N {start|stop|restart|force-reload}" >&2
exit 3
;;
esac

exit 0

 

into init.d and ran update-rc.d on it


when I do a runlevel I get N 2

Here is my rc2.d directory:

 

xello@hansonry-server /etc/rc2.d $ ls
README         S01mdm       S01saned                   S02acpi-support
S01dns-clean   S01murmur    S01speech-dispatcher       S03grub-common
S01hddtemp     S01pppd-dns  S01sudo                    S03ondemand
S01kerneloops  S01rsync     S01virtualbox-guest-utils  S03rc.local

Link to comment
Share on other sites

 Share

×
×
  • Create New...